package com.gxzc.zen.logging

import com.gxzc.zen.logging.model.MQLog

/**
 * MQLog 帮助类 (即时性) <br>
 * 实现手动配置Ignore,remark等
 * @author NorthLan
 * @date 2018/9/2
 * @url https://noahlan.com
 */
object MQLogHelper {
    private val LOCAL_LOG = ThreadLocal<MQLog>()

    private fun setLocalLog(log: MQLog) {
        LOCAL_LOG.set(log)
    }

    /**
     * 获取MQLog参数
     */
    fun getLocalLog(): MQLog? {
        return LOCAL_LOG.get()
    }

    /**
     * 清除本地变量(线程局部变量)
     */
    fun clearLog() {
        LOCAL_LOG.remove()
    }

    /**
     * 开始配置Log信息
     */
    fun configLog(ignore: Boolean = false, remark: String? = null) {
        val log = MQLog(ignore, remark)
        setLocalLog(log)
    }

    fun isConfigurable(): Boolean {
        return getLocalLog() != null
    }
}